Introduction

AlbumCreator is a product to create professional looking web galleries, based on graphics themes from all photos you took with your digital camera and share them with your family and friends over the Internet.

To compose an album you can use our occasional graphics templates in HTML (Hyper Text Markup Language - the most common format to store and transfer data in web) and FLASH (Macromedia Flash Technology format -format that creates dynamic animated images using sound and other special effects). We call them themes and they will be regularly updated. Information about new themes you can find at www.firmtools.com.
Also now it is possible to create your own theme, use it to compose an album or exchange it with other AlbumCreator users at Themes exchange page of our site.

Study the list below to understand why we consider our AlbumCreator exclusive.

Now you can

  • Create both FLASH and HTML albums;
  • Modify created albums;
  • Create themes yourself, following our instructions and install them;
  • Exchange your own themes with other AlbumCreator users at our site;
  • Download our new themes from www.firmtools.com;
  • Improve images color characteristics with PhotoEnhancer including red-eye reduction (only Basic and Pro versions);
  • Print images of the composed album (if FirmTools PhotoPrinter is installed on your computer);
  • Position images in the album in the desired order;
  • Add shortcut to created album to Internet Explorer favorites folder;
  • Publish result album to WEB so your family and friends can enjoy it.

Images formats

In case you have Lite or Basic version of AlbumCreator you'll be able to create album using images of the following formats:

  • GIF - Graphic Interchange Format, a bit-mapped graphics file format used by World Wide Web;
  • JPG, JPEG - Joint Photographic Expert Group format, a lossy compression technique for color images.
  • BMP - Windows bit-mapped graphics format;
  • PNG - Portable Network Graphics format, similar to GIF.

If you've ordered Pro version of our product you can use images of the formats listed below:

  • GIF - Graphic Interchange Format, a bit-mapped graphics file format used by World Wide Web;
  • JPG , JPEG - Joint Photographic Expert Group format, a lossy compression technique for color images;
  • BMP - Windows bit-mapped graphics format;
  • PNG - Portable Network Graphics format, similar to GIF;
  • TGA - developed by Truevision, supports 8,16,24 and 32-bit images. Mostly uncompressed;
  • PSD - Adobe Photoshop;
  • TIF,TIFF - Universal Graphic Format for PC and Mac platforms;
  • SGI - Silicon Graphics file format, also known as RGB file format;
  • RGB, RGBA - Silicon Graphics RGB formats;
  • BW - Silicon Graphics file format;
  • PIC - simple vector graphics format originally designed for use by a support application of Lotus 1-2-3;
  • PCX - originally designed by Zsoft for PC Paintbrush MS-DOS, one of the most usable graphic formats;
  • PCD - Kodak PhotoCD format.

System requirements:

  • PC with a Pentium 200 MHz or higher processor
  • Microsoft Windows 98, Windows ME, Windows NT 4.0 SP3, Windows 2000, Windows XP
  • Microsoft Internet Explorer 4.01 or higher
  • 64 MB of RAM
  • 14 MB (Pro), 11 MB (Basic), 9 MB (Lite) of available hard-disk space
  • Monitor 256 color or higher
You'll need Macromedia Flash player 5 to view FLASH albums and Tutorial. Click here to download free version of Macromedia Flash Player 5.


What is new in this release

What's new in this release

New features

  1. Add folder with images to the album;
  2. Adjust colors of the selected image directly from AlbumCreator interface;
  3. Rotate selected image(s);
  4. Enhance multiple images;
  5. Red-eye reduction;
  6. Print all images of the composed album.

Minor changes

  1. Bring selected images to the Top, Bottom in the images list.
To print all images of the composed album you'll need to install new version of PhotoPrinter 2.0 and higher.


Contextual menu

Contextual menu is the right-button menu. Select Modify or view existing album at Welcome step. Select any album, press mouse right-button to see contextual menu.

Edit album - You'll jump to the Select theme wizard step where you can start album modification.
View album - You can view your album in the Internet browser
Rename album - Give your album different name
Delete - Delete an album
Properties - View album properties

Album name - Current name of your album
Theme - Name of the theme used to create this album
Plugin name - Type of the plugin used
Number of images - Number of images in the album
Favorites shortcut - Shortcut to favorites folder
Path to the album - Shows path to current album
Settings file - Shows path to the project file where all current album settings are stored

AlbumCreator supports own album projects we call them Settings files. These files have .acp extension. Storing album settings in the separate file makes it possible to modify earlier created albums.


Keyboard shortcuts

Wizard steps | Key | Function
Welcome steps
 | C | Select "Create new album" radio-button
 | Ctrl+C | Start to create new album
 | O | Select "Modify or view existing album" radio-button
 | Ctrl+O | Start to modify existing album
 | N | Next
 | B | Back
Select existing album
 | Ctrl+O | Open album
 | Ctrl+V | View album
 | CR | Rename album
 | Del | Delete album
 | F | Find album
 | Contextual menu | Open right-button menu
Select theme
 | Alt+D | Download themes from www.firmtools.com
Add images
 | Ctrl+A | Add image(s)
 | R, Del | Remove image(s)
 | S | Set comment
 | Up | Move image Up in the list
 | Down | Move image Down in the list
 | P | Print image
 | E | Enhance image
Generate album
 | G | Generate
 | S | Save settings
 | F | Add to favorites
 | P | Initiate publsih dialog
Final step
 | P | Publish album to WEB
 | Ctrl+C | Continue with AlbumCreator
 | Ctrl+E | Exit AlbumCreator


Online support

You can get online support visit one of the following online forums:

Album Creator Suggestions and Feedback
Album Creator Troubleshooting and Problems
Album Creator Bug Reports

To discuss questions on how to create or download a new theme with other AlbumCreator users visit Themes Exchange Questions and Answers forum.

Or email us at support@firmtools.com.

If your question was not answered by this Help, please refer to support page


Getting started / Starting the program

Starting the program

If you have accepted the default options in the installation process, you can start AlbumCreator by using the following method:

  1. Go to Start/Programs/AlbumCreator
  2. Click AlbumCreator.

First launching after installation will open the application at Welcome wizard step.
From here you can start new album creation by selecting [image] radio button.

You also can view the default album to understand what your albums will be like by selecting [image] radio button then right-click on the album thumbnail and select View album.


Getting started / Using help tools

Using help tools

To access the Help file click Help/Contents.

If you click the Help button at current Wizard step you'll jump to a page of the Help/Wizard steps describing this step.

This help file has tabs on the left-hand side of the window that you can use to jump to a particular page in the help file: these will be displayed in the right pane. The tabs are as follows:

The Contents tab displays pages within relevant chapter headings like a Table of Contents.

The Index tab lists keywords. Type the word or first letters of the word to locate the word in the Index. Click the Index word to bring up the relevant page in the help file.

Mouse hovers: Keeping the mouse cursor over a button will provide the button name and keeping it over album thumbnail will provide file information.


How to / How to create an album

How to create an album

Composing an album with our AlbumCreator is as simple as six easiest steps.

  1. Select Create new album option at Welcome wizard step and press [image] button to proceed;
  2. Select theme for your album from the list at Select album theme step or download theme from www.firmtools.com.
  3. At Select images step you can not only add/remove images or folders with images including subfolders but also change titles of your photos, set comments to images, enhance image(s) colors, rotate image(s). If you have Basic or Pro versions you can improve images color characteristics, sharpen, crop, resize and rotate multiple photos.

    You can move images in the list of images to organize them in the certain order. For that use [image] and [image] buttons.

  4. On the Set album parameters step you can give name for your album that will be displayed on the screen and assign some other parameters such as number of images per row, distance between images etc.

    The set of parameters can be different for each theme, depending on the theme format.

  5. After all the preparations are made you can generate an album at Album generation step. The album will be saved to the default directory shown in the Current album folder box with album title name or choose the directory where you want to store the album yourself.

    If you want to make changes to your album later make sure that there is a checkmark at Save album settings box.

  6. And after your album is generated you can publish it to the Web so your family and friends can enjoy it. For that at Final wizard step press [image] button. You'll get to Publish album to Web dialog.
    To learn more refer to How to publish album to Web.


How to / How to modify/view existing album

How to modify/view existing album

To modify an album:

  1. Select [image] radio button at Welcome wizard step;
  2. You'll get to Select existing album step;
  3. Select album from the ListBox;
  4. Change album title if necessary;
  5. Press [image] button or double-click on album thumbnail to proceed;
  6. Select or download another theme for your album if necessary;
  7. Manipulate with album images (add/remove, rearrange, enhance, rotate etc.) if necessary;
  8. Change album parameters (album name, number of images per row etc.);
  9. Select the folder for your album at Album Generation step;
  10. Generate corrected album.

If you want to empty disk space and Delete existing album:

  • Select existing album file (.acp extension) from the ListBox;
  • Press [image] button.
You can try to find album yourself if it is not listed in the ListBox. For that use [image] button.

To view an album:

  1. Select [image] radio button at Welcome wizard step;
  2. Select an album you want to view;
  3. Right-click on it and select View from contextual menu

or

  1. Open Internet Explorer;
  2. Click Favorites on the menu bar;
  3. Open necessary album from My photo albums folder
You will be able to view an album from Internet Explorer only if you put a checkmark into the Add to favorites checkbox at Album Generation step.


How to / How to publish album to Web

How to publish album to Web

After your album was generated successfully you can publish it to the Web so your family and friends can enjoy it!

To publish album to the Web:

  1. At Final step of AlbumCreator press [image] button;
  2. In the Publish dialog enter FTP resource name to Address box;
  3. Enter login and password (if you have any) to get access to FTP or register as "anonymous" if you have an access to resource;
  4. Press [image] button to connect to Web site;
  5. If the connection was successful you'll see the list of directories of the selected resource;
  6. Create new directory or open existing directory to locate your album;
  7. Press [image] button;
  8. If you have direct access to the selected folder your album will be located in that directory;
  9. In case you don't have rights to access the selected directory, you'll see the notification about that.
If you have problems accessing FTP site contact your system administrator or ISP.


How to / How to install/remove additional themes

How to install/remove additional themes

You can install album theme using SetUp Component.

To install album theme that is already existing on your computer:

  1. Open Programs/FirmTools/AlbumCreator/SetUp Component
  2. Select format of theme you want to install (HTML or FLASH);
  3. Press [image] button;
  4. Find file on your computer that you want to install;
  5. Press Open button;
  6. Theme will be installed.

To install the theme from our website:

  1. Connect to Theme collection page of our website;
  2. Initiate File download dialog by clicking on the corresponding [image] icon;
  3. Choose Open file from the File Download dialog;
  4. Theme will be installed automatically by FirmTools theme SetUp Component.
  5. In case you choose Save file in File Download dialog then to install the theme simply double click on the target file with .thm

You can remove album theme from your computer using SetUp Component.

To remove album theme:

  1. Open Programs/FirmTools/AlbumCreator/SetUp Component
  2. Select format of theme you want to uninstall (HTML or FLASH);
  3. Select theme to uninstall;
  4. Press [image] button;
  5. The theme will be uninstalled.


How to / How to develop theme yourself / Introduction

Introduction

This issue of Help document is intended for those who want to be creative and use their own themes to compose an album.

AlbumCreator application uses own templates to create albums we call them themes. Templates are necessary to extend program functionality and to give users more opportunities in how to present their albums. Now you can forget about boring slide-shows and frame your pictures with exclusive album themes!

We'll teach you how to be creative, but for the beginning you need to know at least basics of HTML (HyperText Markup Language). This document will help you to understand how our program processes themes and creates albums using them.

You think your template is great and worth to be seen by others? So use our Theme exchange system to share your themes with other AlbumCreator users.


How to / How to develop theme yourself / General information

General information

AlbumCreator application uses plug-ins to generate albums.
Plug-in is an independent element that creates an album of the certain format. The current version supports plug-ins of 2 formats (HTML and FLASH). HTML and FLASH plug-ins create albums on basis of templates (we call them themes).
Each template should be first verified and then installed by a plug-in. Template is a set of files. Plug-in considers that all files of a template are located in one directory. This directory can have sub-directories that also belong to a template.
Each template has a description file (by default info.td). Description file is located in the root directory of a template. It references all files that should be processed by plug-in to generate desired album. These file contain parameters that are filled by plug-in according to data, entered by user through AC2 interface. Then all these files from template directory (except description file) are copied to album destination directory.

Template pages for HTML and SWF plug-ins are the syntactically correct (Valid) XML documents. The HTML syntax, which is a particular case of XML is used for HTML albums.
To use pages as templates for albums, the following add-ins are used. That add-ins are received and processed by plug-ins:

  1. The plug-in predefined arguments (or predefined parameters) are entered (Such as #IMG#, #NAME# etc.)
  2. Markers of template parameters (Tag) are used, that were described in template description file.
  3. Template page names (file names) are used.
  4. Image operation codes are used (see Operations of the graphics processor)
  5. Controlling XML tags, that are understandable for plug-in are used.


How to / How to develop theme yourself / Description file

Description file

Format of a description file of a template is identical to the Windows profile format (ini file).
Information is registered the following way:

[Section]
Name=Value

First section of description file is [General] section. It contains obligatory fields that should be filled for all templates.

Table 1. Section [General]

Parameter | Obligatory | Description Example | Example
Name | Yes | Template (theme) name | Name=City Lights
PluginName | Yes | Name of plug-in for which template is being created. Can be HTML or SWF | PluginName=SWF
Description | No | Additional template description | Description=Flying Pictures Theme
NumPages | Yes | No of template pages, that should be handled by plug-in. | NumPages=1
StartPage | Yes | Name of the start page of an album | StartPage=index.html
EmptyPhoto | No | Relative path to the file of an image that will be included to the album, in case when the list of images is empty. If that parameter is not assigned then in the empty spaces will be the reference to the first page of an album. | EmptyPhoto=images/x.gif
Plug-in version | Yes | Plug-in version. Current 1.0 | PluginVersion=1.0

This should be followed by the description of each page of template. (their quantity is shown in the NumPages parameter). The new section is created for each page with the name [Page N] where N is serial number of the pages during pages processing. (N starts from 1). There can be several pages. For example, one page contains series of several small pictures, another a full size picture.
Example:
[Page1]
Page description section also contains obligatory and non-obligatory parameters:

Tabel 2. Page description section

Parameter | Obligatory | Description | Example
Path | Yes | Path to the page relative to the directory of template. Normally it is just the name of template page. | Path=config.xml
NumParameters | Yes | Number of parameters on the page. (it can be the name of the album, color, font etc.) Parameters can be changed by the user in the interface of AlbumCreator during the album creation process. | NumParameters=9
OutFileExtension | No | Extension for the creating album pages. By default it is the same as extension of the template page. | OutFileExtension=xml

Parameters descriptions follow template descriptions.
Plug-in reads album parameter description and passes it to AlbumCreator, which submits the parameter using description to the user for changes through its user interface. This way parameter values entered by the user will appear on the album pages.
AlbumCreator has the following types of parameters (parameter type actually assigns Windows controls, that are used to display and modify Wizard pages).

Table 3. Page parameters types

Parameter type | Reflection in UI | Description | Obligatory attributes of parameter description | Example
AC_INT_RANGE | Spin button control with integer Buddy | With the help of INT_RANGE user assigns an integer in some range | MinValue MaxValue DefaultValue | Type=AC_INT_RANGE MinValue=32 MaxValue=200 DefaultValue=120
AC_EDIT | Edit Control | Assigns the text string field | DefaultValue | Type=AC_EDIT DefaultValue=Flying Pictures
AC_COMBOBOX | Combo Box | Allows user to select one of the several possible values. Control field is text field | NumValues=N Value0 ... ValueN-2 DefaultValue | Type=AC_COMBOBOX NumValues=2 DefaultValue=YES Value0=NO
AC_COLOR | Static control with example of color and button that invokes Color dialog | Allows to transfer color parameters | DefaultValue | DefaultValue=#ÀÀBBCC Where AA - Red component in hexadecimal format, BB -green, ÑÑ blue
AC_FONT | Static control font example and button that invokes font dialog | Allows user select font to transfer to album | DefaultFace DefaultSize DefaultColor DefaultWeight | Tag=#TITLEFONT# DefaultFace=Arial DefaultSize=20 DefaultColor=#000020 DefaultWeight=bold

Number of parameters is specified in the page parameter NumParameters. The section under the name [PageNParamM] where N is the number of page, M is serial number of parameter is created for each parameter. Parameter description contains following values (they can be different depending on the type of parameter).

Table 4. Page parameters section

Parameter | Obligatory | Description | Example
Name | Yes | Parameter name. This name should consist of one word that should be unique among parameters. Name is not shown in AlbumCreator interface. | Name=ThColumns
DisplayName | Yes | Parameter name to be shown in AlbumCreator User Interface. May contain several words, spaces etc. | DisplayName=Number of thumbnails in a row
Description | No | Additionl parameter description for the user. Is shown as a tooltip when user points with cursor at parameter control. | Description=Please input the number of thumbnails in a row
Type | Yes | Parameter type. One from the listed in Table 3. | Type=AC_INT_RANGE
Tag | Yes | Marker at the template page, showing that here it is necessary to replace the marker by the parameter value (see Comment) | Tag=#THCOLS#

* Marker of parameter (Tag) can be any word, normally indicating the parameter name. Marker can be inserted once and more times into template page. During the page processing the Plugin seeks for the markers and substitutes them for parameter values, assigned by AlbumCreator user.

The following significant restrictions for the marker name are:

  1. Marker has to be bracketed with ## (see example in the Table 4);
  2. Marker has to be a single word;
  3. Marker, entered by template developer, can not be one of the following, reserved by the system:
    1. #IMG#;
    2. #NAME#
    3. #DESCRIPTION#
    4. #INDEX#
    5. #NUMIMAGES#
  4. Parameter name can't have the same name as template page name.

Further fields of parameter description can be different depending on the parameter type. (see Table 3).

Example of a description file:

[General]
Name=Hiking
NumPages=2
PluginName=HTML
Description=Hiking Template
StartPage=index.html
EmptyPhoto=images/x.gif

[Page1]
Path=base.html
NumParameters=4
OutFileExtension=html
ImageExt=jpg

[Page1Param1]
Name=Title
DisplayName=Album Title
Description=Input your album title
Type=AC_EDIT
Tag=#TITLE#
DefaultValue=HIGHER AND HIGHER

[Page1Param2]
Name=ThColumns
DisplayName=Number of thumbnails in a row
Description=Please input the number of thumbnails in a row
Type=AC_INT_RANGE
Tag=#THCOLS#
MinValue=1
MaxValue=8
DefaultValue=3

[Page1Param3]
Name=ThRows
DisplayName=Number of rows
Description=Please input the number of rows with thumbnails
Type=AC_INT_RANGE
Tag=#THROWS#
MinValue=1
MaxValue=4
DefaultValue=2

[Page1Param4]
Name=ThDistance
DisplayName=Distance between thumbnails
Description=Please input the number of pixels between thumbnails
Type=AC_COMBOBOX
Tag=#THDIST#
NumValues=6
DefaultValue=10
Value0=15
Value1=20
Value2=25
Value3=30
Value4=50

[Page2]
Path=image.html
NumParameters=0
OutFileExtension=html


How to / How to develop theme yourself / Predefined parameters

Predefined parameters

#IMG#

The parameter #IMG# with image number on the page index (example: #IMG0#, #IMG1# etc.) is used to substitute the real images and their attributes in the document (album pages). That means that when plug-in meets tag #IMG0# in the document it'll substitute it textually for relative path to the first image on the page. "Images/1.JPG" (by default images during album creation are being copied to Images subdirectory). Typical example of tag application in HTML template:
<img id="img" border="1" src="#IMG0#" style="border-color:white;"/>

Please notify, that to receive the correct (valid) XML description, the closing slash in HTML tag description is being used <img=…/>. The correct filling of parameters of HTML tag: name= "value"has the same purpose.

#NAME#

Parameter is used to display the name (image name or image title).

Example:
<title>#NAME0#</title>

#DESCRIPTION#

Parameter is used to display the additional image description (comment).

Example:
<img id="img" border="1" src="#IMG0#" style="border-color:white;" alt="#DESCRIPTION0#"/>

#INDEX#

Parameter is used to display the sequential number of album image.

#NUMIMAGES#

Parameter is used to display, substitute the total number of images in the album. Can be used to simply display the value or can be used in controlling XML tags, understandable for plug-in.

Example:
<for start='0' end='#NUMIMAGES#' index='#imageindex#'>
<img description="#DESCRIPTION#imageindex## ………………………./>
</for>

Description of the tag <for> application find below in this document.


How to / How to develop theme yourself / Template parameters

Template parameters

The parameters described in the template description file can be used in template page body (see Description file). Rules of substitution of values of parameters are the same as when substituting predefined parameters. The difference is that for template parameters the indexing by the image number on the page is not provided. Substitution is occurring as follows: Plug-in is searching for the marker, described in description file and textually substitutes it for the value, received from the user.

Example:
<title>#TITLE#</title>

Where #TITLE# has the following description in template description file.

[Page1Param1]
Name=Title
DisplayName=Album Title
Description=Input your album title
Type=AC_EDIT
Tag=#TITLE#
DefaultValue=DEEP DIVING

So, user will see this parameter through User Interface as EDIT field with inscription "Album Title" near the field and description DEEP DIVING inside the field. If he'll substitute DEEP DIVING for My Diving, then in the body of the resulting album instead of
<title>#TITLE#</title>
will be
<title My Diving </title>

See Types of parameters description.


How to / How to develop theme yourself / Template page files names

Template page files names

The processing of page files names is used to ease the navigation between album pages. If the plug-in meets in the text the parameter with the name equal to the template page name bracketed in # then plug-in is processing this parameter the following way:

  • If plug-in meets the page name same as the name of the page currently processed, then the index of the required page is calculated according to the expression at the end of the name. The page name with expression at the end substitutes by the name of the required really created page. The expression at the end of the page name can be one of the following:
    • ++
    • --
    • +N (where N is integral number)
    • -N (where N is integral number)
    Example: Lets assume that when the third page of the album with the name base3.html was created within the template of the page with the name base3.html the arguments #base-#" and #base++# were met.
    <a href="#base--#"> <a href="#base++#">. In that case, plug-in considering index of the current page (3) will record.
    <a href="base2.html"> and accordingly <a href="base4.html">
  • If the template page name is not coincide with the name of the template page currently processed, then it is considered there is the image index at the end of template page name. And the resulting string will contain the page name + index of image on the page+ album page extension.

Example:
Lets assume that the following string is met onClick="return showImage('#image0#');">
In template description file it is indicated that template has two pages. First one has the base.html name and second has image.html name. The page currently processed has name base and index3 :
base3.html. Lets assume that each album page contains 10 images. So plug-in considers that upon inquiry of the image with 0 index on the page, it is necessary to replace it with the image with index 30. (3* 10).

Indexation of the album pages starts from 0.
If the image with index 9 is inquired (the last one on the page 3) then correspondingly will have 39. so the result will be the following:
onClick="return showImage('image30.html');"> (for 0 index)


How to / How to develop theme yourself / Operations with images

Operations with images

There is the separate direction in the AlbumCreator2 the graphic operations with images. Operations with images are not the part of plug-in. Plug-in just transfers operations to execute to AlbumCreator, so only the path to the result image, which is the result of sequence of operations is entered into the page body.

To know more about operations and their syntax refer to Graphics Processor Operations. The operations are embedded, which means that you can do several operations with the same image. For example:

<img src="{#Out(Colorize(LoadThumbnail(2,94,125),'0x00010101', '0x00879BCD','0x00FEFEFF'), '/Thumbnails/over_*.jpg');}" >

In that example plug-in will define that the set of operations with image number 2 on the page is indicated, and the result image will be located at the following address: "/Thumbnails/over_Index.jpg".
Index is the serial number of the page in the album. It is not necessary equal to 2, because 2 is the number of image on the page. For example if there are 8 images on the page, then for the first page of album it'll be "/Thumbnails/over_2.jpg", for the second page it'll be "/Thumbnails/over_10.jpg".


How to / How to develop theme yourself / Controlling XML tags

Controlling XML tags

To make template development process easier the plug-ins will have own tags processors. Tag of the plug-in is the general XML tag, submitting to the standard XML syntax.
At present there are 2 controlling tags used:

  • Case
  • For

And also the set of tags, entered to ease the navigation processing while jumping to the next or previous page of the album.

  • PREVIOUS
  • NOPREVIOUS
  • NEXT
  • NONEXT
Case

This tag is entered to process the situations, when album pages need to have different content (including text, images, comments) depending on the parameter value.
Syntax:

<CASE parameterName=”ParameterValue”>
Text ..................
<CASE/>

where parameterName is template parameter name, assigned in description file. (conforms to field Name of parameter description in description file). ParameterValue- possible value of parameter. (see Table 4 of Description file.)

Plug-ins process this tag the following way: When tag meets this name plug-in extracts parameterName and compares it with the list of template parameters. If that parameter is found then plug-in extracts its value, selected by the user, and compares it with ParameterValue field, which was received from template. In case when value, selected by the user and value from CASE coincide, then plug-in will extract the CASE shell from the result album page and will keep the contents of CASE unit. If the values will be equal then CASE unit will be fully removed from album pages.

Example:
<CASE GameType="Football">
<script language="javascript">
<!--
document.all.back.background = "{#Out(TextOut1(Load('images/Football.jpg'),'#TITLE#','Flyer ExtraBlackCondensed', 70, 0, 250,130,'0x00000000' ),'images/newback.jpg');}";
document.all.ll.src = "images/1x.jpg";
document.all.rr.src = "images/1x.jpg";
document.all.tbl.bgColor = "#283C9F";
-->
</script>
</CASE>
<CASE GameType="Hockey">
<script language="javascript">
<!--
document.all.back.background = "{#Out(TextOut1(Load('images/Hockey.jpg'),'#TITLE#','Flyer ExtraBlackCondensed', 70, 0, 250,130,'0x00000000' ),'images/newback.jpg');}";
document.all.ll.src = "images/1x2.jpg";
document.all.rr.src = "images/1x2.jpg";
document.all.tbl.bgColor = "#ff9933";
-->
</script>
</CASE>

In that example we used GameType parameter, that has the following description in description file:

[Page2Param3]
Name=GameType
DisplayName=Game Type
Description=Game type skin
Type=AC_COMBOBOX
Tag="#GAMETYPE#"
NumValues=2
DefaultValue=Football
Value0=Hockey

From description you can see, that user will see Combo Box with 2 possible options:
Football è Hockey. (By default Football is installed).
Depending on the choice of the user, plug-in will keep
<script language="javascript">
<!--
document.all.back.background = "{#Out(TextOut1(Load('images/Hockey.jpg'),'#TITLE#','Flyer ExtraBlackCondensed', 70, 0, 250,130,'0x00000000' ),'images/newback.jpg');}";
document.all.ll.src = "images/1x2.jpg";
document.all.rr.src = "images/1x2.jpg";
document.all.tbl.bgColor = "#ff9933";
-->
</script>

(in case of "Hockey")
or

<script language="javascript">
<!--
document.all.back.background = "{#Out(TextOut1(Load('images/Football.jpg'),'#TITLE#','Flyer ExtraBlackCondensed', 70, 0, 250,130,'0x00000000' ),'images/newback.jpg');}";
document.all.ll.src = "images/1x2.jpg";
document.all.rr.src = "images/1x2.jpg";
document.all.tbl.bgColor = "#ff9933";
-->
</script>

(in case of "Football")

After being processed by controlling tag the result will be passed for further processing by plug-in. In the given example the template parameter #TITLE# will be substituted by real value, entered by the user, and after that the graphic processor will write the caption on image 'images/Hockey.jpg', and will derive it to 'images/newback.jpg'. So the real album page will have following contents

<script language="javascript">

<!--

document.all.back.background = "images/newback.jpg";

document.all.ll.src = "images/1x2.jpg";

document.all.rr.src = "images/1x2.jpg";

document.all.tbl.bgColor = "#ff9933";

-->

</script>

In this connection there will be caption on the image "images/newback.jpg" written with ExtraBlackCondensed font.

For

Tag For (loop) is used to copy the content of the tag. Content is copied as many times as many iterations will be executed. This is necessary, for example, when the number of rows or columns with images on the page is not known beforehand. The home loop is supported.
Syntax:
<for start="intValue" end=”intValue” diff="intValue" step="intValue" index="#string#">
……………………
</for>

Loop parameters:

  • Start - starting index. Integral number(Int)
  • End - final index. Integral number(Int)
  • Diff - number of steps or loop iterations. (Int)
  • Step - step of index changing (Int)
  • Index - argument, receiving value inside the loop, equal to the current index, equal to the number of current step, multiplied by Step. String enclosed in #.
parameters End and Diff are mutually exclusive i.e. it's better not to use them together. If this happens, then the End parameter will have the priority.

Example:

<for start=”0" diff="#THCOLS#" index="#imgindex#">

<td bgcolor="#000000" class="imgtitle" align="center"width="118">

#NAME#imgindex##

</td>

<td class="imgdesc" width="118">

#DESCRIPTION#imgindex##

</td>

</for>

In that example the template parameter value #THCOLS# will be replaced with real value, entered by the user and then content of the tag body will be copied inside the result page. At the same time value of the "#imgindex# argument will be replaced by index numeric value. So, after tag processing we'll get the following text:

Lets assume that user entered #THCOLS# (number of columns with images) equal to 2. In that case the subproduct will be the following:

<td bgcolor="#000000" class="imgtitle" align="center"width="118">

#NAME0#

</td>

<td class="imgdesc" width="118">

#DESCRIPTION0#

</td>

<td bgcolor="#000000" class="imgtitle" align="center"width="118">

#NAME1#

</td>

<td class="imgdesc" width="118">

#DESCRIPTION1#

</td>

After that plug-in will continue to process template pages and as a result the #NAME0#, #DESCRIPTION0# will be substituted with corresponding values (see Predefined parameters).

Home loops. In case of home loops, the inner loop fully runs during the every run of the outer loop.

Example of home loops:

<table>

<for start="0"
            diff="#THROWS#" step="#THCOLS#"
            index="#rowindex#">

<tr>

<for start="#rowindex#" diff="#THCOLS#" index="#imgindex#">

<td bgcolor="#000000" class="imgtitle" align="center"width="118">

#NAME#imgindex##

</td>

<td class="imgdesc" width="118">

#DESCRIPTION#imgindex##

</td>

</for>

</tr>

</for>

</table>

So the result before the first outer loop run, will be the following:
Let #THCOLS# = 2.
Then = #rowindex# = 0; We'll get

<table>

<for start="0"
            diff="#THROWS#" step="#THCOLS#"
            index="#rowindex#">

<tr>

<for start="#rowindex#" diff="#THCOLS#" index="#imgindex#">

<td bgcolor="#000000" class="imgtitle" align="center"width="118">

#NAME0#

</td>

<td class="imgdesc" width="118">

#DESCRIPTION0#

</td>

<td bgcolor="#000000" class="imgtitle" align="center"width="118">

#NAME1#

</td>

<td class="imgdesc" width="118">

#DESCRIPTION1#

</td>

</for>

</tr>

</for>

</table>

In the next run of the outer loop #rowindex#" = 0 + step = 2;
We'll get:

</table>

In the next run of the outer loop #rowindex#" = 0 + step = 2;
We'll get:

<table>

<for start="0"
            diff="#THROWS#" step="#THCOLS#"
            index="#rowindex#">

<tr>

<td bgcolor="#000000" class="imgtitle" align="center"width="118">

#NAME0#

</td>

<td class="imgdesc" width="118">

#DESCRIPTION0#

</td>

<td bgcolor="#000000" class="imgtitle" align="center"width="118">

#NAME1#

</td>

<td class="imgdesc" width="118">

#DESCRIPTION1#

</td>

</tr>

<tr>

<td bgcolor="#000000" class="imgtitle" align="center"width="118">

#NAME2#

</td>

<td class="imgdesc" width="118">

#DESCRIPTION2#

</td>

<td bgcolor="#000000" class="imgtitle" align="center"width="118">

#NAME3#

</td>

<td class="imgdesc" width="118">

#DESCRIPTION3#

</td>

</tr>

</for>

</table>

This way it is very easy to create tables with images using the home loops.

PREVIOUS, NOPREVIOUS, NEXT, NONEXT Tags

Tags are entered to ease the navigation between the album pages.
Tag processing is enough easy. Plug-in, depending on the index of the current page, number of images, not yet included into album and the number of images on the page, is computing if this page is the first, last or middle page of an album, which will have the previous and next pages. Considering this information, plug-in saves contents of the tags, for which this data about the next and previous pages is true.

Example:
The last page of an album is being processed (this page has previous page, but doesn't have next page). The following tags combination is found:

<previous>

<a href="#base--#">

<img border="0" src="images/prev.gif" width="90" height="25"/>

</a>

</previous>

<noprevious>

<img src="images/x.gif" width="90" height="25"/>

</noprevious>

Plug-in knows that it has the previous page, so during processing of the previous tag it'll keep its content, and during processing of the noprevious tag it'll fully remove tag from the album page.
So the last page will have the following content:

<a href="#base--#">

<img border="0" src="images/prev.gif" width="90" height="25"/>

</a>

Tags NEXT and NONEXT are working similarly.


How to / How to develop theme yourself / Operations of the graphic processor

Operations of the graphic processor

Operations with images are enclosed in {} first operation starts with #

Load (parameter)
Loads imageto Graphic Processor for further processing.

parameter

  1. Int picture index on the page
  2. String relative path to an image

Example:

  1. Load(0)
  2. Load('images/header.jpg')
LoadThumbnail (parameter, width, height)
Loads image to Graphic Processor as Thumbnails. Compared to Load this operation requires less time in case of JPG file. Image adjusts for width and height sizes.

parameter

  1. Int picture index on the page
  2. String relative path to an image

Width Int size in pixels
Height Int size in pixels

Example:

  1. LoadThumbnail(0)
  2. LoadThumbnail('images/header.jpg')

Out (parameter)
records the result image to disk.

parameter

String Relative path to display image. Supports the template of the output file name.

Example:
{#Out(LoadThumbnail(2,111,170),'/Thumbnails/over*.jpg');}

Resize(width, height)
adjusts the scale (changes size) of the preloaded image.

width Int size in pixels height Int size in pixels

Example:
{#Out(Resize(Load(3),111,170)),'/Thumbnails/over_*.jpg');}

TextOut1(Text, FontName, Hfont, Flags,X,Y,Color)
Displays the text to the preloaded image.

parameter

  1. Text String Text to enter.
  2. FontName String Font name
  3. Hfont Int Font height
  4. Flags Int Flags of font parameters and text location
    Combination of flags is their sum.
    TYPE_BOLD 16
    TYPE_ITALIC 32
    TYPE_STRIKEOUT 64
    TYPE_UNDERLINE 128
    Aligment ---
    0 1 2
    3 4 5
    6 7 8

Example:
Bold Italic align center 16+32+4 =52
X,Y
Int Coordinates of text displaying in pixels according to Alignment.
Color
COLOR Font color
COLOR - hexadecimal number in single quotation marks
'0xAABBCCEE'
AA - transparency level
BB - blue component
CC - green component
EE - red component

Example:
{#Out(TextOut1(Load('images/header.jpg'),'#TITLE#','Arial', 60,4, 400,113,'0x00CCFFFF' ),'images/headFuck.jpg');}

Gray()
Converts image to black and white.

Without parameters

Colorize (DarkColor, MidleColor,LightColor)
converts image to three-color. Gray() is the particular case of three-color. Colorize. Where dark and light colors are black and white colors correspondingly, and MidleColor is the gradation of gray.

parameter

DarkColor, COLOR
MidleColor COLOR
LightColor COLOR

Example:
{#Out(Colorize(LoadThumbnail(1,111,170),0,'0x0000FFFF','0x00FFFFFF'),'/Thumbnails/over_*.jpg');}

Rotate (Angle)
Rotation of image to the given angle in degrees.

parameter

Angle Int Angle of image rotation in degrees. Rotation Counter Clock Wise.

Example:
{#Out(Rotate(LoadThumbnail(1,111,170),180),'/Thumbnails/over_*.jpg');}

Rotate90()
Rotate180()
Rotate270()

Operations without parameters. Particular cases of rotate.


FAQ / What is album theme?

What is album theme?

Usually software companies propose programs that create web galleries from images without any design of album pages. We came to a conclusion that computer album should look much better than usual photo album as far new technologies give us wonderful opportunities to compose exclusive albums. For example, if you have taken photos during your railroad travel through Europe you probably would prefer to frame them with graphics template similar to our Railroad Travel instead or composing an artless web gallery.
In our AlbumCreator we use graphics templates that substitute usual album pages and call them themes. We propose you themes of 2 formats FLASH (animated) and HTML.
FLASH themes are created using Macromedia Flash technology. These themes have special motion effects and make your albums animated.
HTML themes are created using Hyper Text Markup Language.
Also we consider that you may want to use your own themes to compose an album. We give you instructions on how to do this in How to develop theme yourself.
If you think your theme is great and worth to be seen by others then use our Theme exchange system to share your themes with other AlbumCreator users.

Below you can find examples of both HTML and FLASH themes.

HTML theme

FLASH theme


FAQ / What is album name and album title?

What is album name and album title?

Album title will be displayed on the screen when you'll view your album in the Internet browser.

Album name is the name of the directory where your album will be saved.

By default album name will be same as album title.


FAQ / What is Setup Component?

What is Setup Component?

Setup component will help you to install/remove themes. It'll very useful for those who will create themes for albums using our instructions given in How to develop theme yourself. More information on how to install/remove themes you can find in How to install/remove additional themes.


FAQ / What PhotoEnhancer does?

What PhotoEnhancer does?

Photos are often dark or underexposed. PhotoEnhancer will help you to improve photos color characteristics and sharpen images and remove red eyes from your photos.

You can also can crop, resize and rotate your images.

Rotating can be useful for example when some of your images have vertical orientation and others have horizontal. If you want to create a nice looking album you'll want them all to have same orientation. So simply rotate images that have different orientation until they will be positioned the right way.

PhotoEnhancer is embedded into the AlbumCreator.

Lite version doesn't have PhotoEnhancer.

To learn more refer to PhotoEnhancer Help document.


FAQ / Can I print images?

Can I print images?

You can print an image using our PhotoEnhancer (only Pro and Basic versions) or PhotoPrinter if they're installed on your computer.

To print an image using PhotoEnhancer:

  1. Select an image from the list at Select images wizard step;
  2. Preview it in "Image preview" window;
  3. Press [image] button;
  4. You'll get to PhotoEnhancer application dialog.

To print image(s) using PhotoPrinter:

  1. At Select images wizard step;
    1. Select image(s) from the list;
    2. Preview it in "Image preview" window;
    3. Press [image] button;
    4. You'll get to PhotoPrinter application dialog.
  2. At Select existing album wizard step;
    1. Select an album;
    2. Press [image] button;
    3. Print out all images from this album.
PhotoPrinter will print your images with the best resolution available. We used our own algorithm of resizing, which gives you a possibility to get prints of a HIGHER quality than in many advanced professional programs such as Adobe Photoshop. To learn more visit PhotoPrinter product page.


Wizard steps / Welcome step

Welcome step

This is the start page of AlbumCreator. On this step you can Start new album creation and Modify or view existing album (if it was created using current application).


Wizard steps / Modify or view album

Modify or view album

View, Find and Delete an album created with AlbumCreator application. Change album name and view album properties. Print all images of the selected album. You can do it using corresponding buttons, keyboard shortcuts or Contextual menu.

Albums created using AlbumCreator will have the .acp extension.


Wizard steps / Select album theme

Select album theme

Preview and select the theme for your album from the list or download theme from www.firmtools.com. HTML and FLASH formats available.


Wizard steps / Select album images

Select album images

Select photos for your album: single photos or folders including subfolders. Preview selected photos, set image title and comment.
Enhance image(s) color characteristics, crop, resize, rotate your photo(s). Crop, resize multiple images with our PhotoEnhancer (only in Pro and Basic versions).


Wizard steps / Enhance images

Enhance images

Photos are often dark or underexposed. You can use our PhotoEnhancer (only in Pro and Basic versions) to improve images color characteristics and sharpen them. Also you can crop, resize, rotate, flip, zoom your images to create a nice looking photo gallery and print images.

Another useful option is red-eye reduction.


Wizard steps / Enhance images / Red-eye Reduction

Red-eye Reduction

Very useful feature of PhotoEnhancer that will help to remove red-eye from your pictures at any time. You can pick a color to remove red-eyes yourself or from the picture, adjust size and color of the brush.


Wizard steps / Set album parameters

Set album parameters

Modify and set album parameters such as album name, number of thumbnails in a row, background color etc.
To get more information about the desired parameter keep mouse over the parameter name and you'll see the parameter description as a tool tip.

Theme parameters completely depend on the current theme.


Wizard steps / Generate album

Generate album

Generate album to the default directory shown in the box or select the directory to store your album yourself using [image] button.
Save current album settings to be able to modify album in the future.
Add album to Internet Explorer favorites.


Wizard steps / Final step

Final step

Continue with AlbumCreator or Exit the application. For that use corresponding radio-button together with DONE button. Publish album to Web using [image] button.


Wizard steps / Publish album to the Web

Publish album to the Web

Publish the result album to the Web using FTP protocol so your family and friends can enjoy them!
At Final step press [image] button and use our Publish dialog to connect to the FTP server and transfer your album to your FTP resource.


How to / How to develop theme yourself / Files of template pages

Files of template pages

Template pages for HTML and SWF plug-ins are the syntactically correct (Valid) XML documents. The HTML syntax, which is a particular case of XML is used for HTML albums.
To use pages as templates for albums, the following add-ins are used. That add-ins are received and processed by plug-ins:

  1. The plug-in predefined arguments (or predefined parameters) are entered (Such as #IMG#, #NAME# etc.)
  2. Markers of template parameters (Tag) are used, that were described in template description file.
  3. Template page names (file names) are used.
  4. Image operation codes are used (see Operations of the graphics processor)
  5. Controlling XML tags, that are understandable for plug-in are used.